Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.ecrypt.com/v1/transactions/void \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "transactionId": "<string>", "initiatedByUserId": 123, "referenceTransactionId": 123 } '
{ "requestId": "000000000000000000000", "transactionId": "<string>", "authCode": "<string>", "responseCode": "<string>", "responseText": "<string>", "latency": 123, "avs": { "code": "<string>", "text": "<string>" }, "cvv": { "code": "<string>", "text": "<string>" }, "amount": 123, "metadata": {}, "errors": [ { "type": "<string>", "message": "<unknown>" } ] }
VOID an unsettled transaction.
VOID
Authorization by x-api-key inside request's header
Transaction Id to void
1
^[0-9]*$
OK
1 - 100
Show child attributes